/**
 * @file test_sensor_manager.cpp
 * @brief Unit tests for SensorManager component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "sensor_manager.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_sensor_manager_initialize(void)
{
    SensorManager comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_sensor_manager_deinitialize(void)
{
    SensorManager comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
